Skip to content
POST/{organizationId}/crm/certificates/types

Create certificate type

Creates a new certificate type

Required permissions:

  • certificateType.insert

Path Parameters

organizationIdstringrequired

Request Body required

Content-Type: application/json

namestringrequired

minLength: 1

maxLength: 40

willExpireDaysBeforeExpiryintegerrequired

maximum: 9007199254740991

exclusiveMinimum: 0

ObjectId as string

contactTypestring | nullrequired

Options:

memberaddresscustomersponsorcontributoremployeesupplier
enableExpressaTemplatebooleanrequired

Authentication: X-API-Key

Request

POST/{organizationId}/crm/certificates/types
curl --request POST 'https://cloud.campai.com/api/{organizationId}/crm/certificates/types' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "string",
  "confirmationMail": {
    "subject": "string",
    "message": "string"
  },
  "willExpireDaysBeforeExpiry": 1,
  "customFields": {
    "groups": [
      {
        "id": "string",
        "label": "string",
        "fields": [
          {
            "id": "string",
            "type": "placeholder",
            "name": "string"
          }
        ]
      }
    ]
  },
  "expressaTemplate": "000000000000000000000001",
  "contactType": "member",
  "enableExpressaTemplate": true
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

Response

200
{
  "_id": "000000000000000000000001"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}